/*
 *  getopt.c
 *			Additions to Pure-C for UN*X compatibility
 *
 *  11/29/99    Bodo Wenzel  "getopt()" very simple
 *  2000-01-16  Bodo Wenzel  replaced "getopt.h" by "unistd.h"
 */

#include <stdio.h>
#include <string.h>

#include "unistd.h"

char *optarg;
int  optind=0;
int  opterr;  /* This is here ignored */
int  optopt;

int getopt(int argc,char *const *argv,const char *shortopts) {
/*----------------------------------------------------------*/
char *s;

if (++optind >= argc)
  return -1;

if (shortopts[0] == ':')
  return ':';

if (argv[optind][0] != '-' ||
    argv[optind][1] == '\0' ||
    argv[optind][2] != '\0')
  return -1;

if ((s=strchr(shortopts,argv[optind][1])) == NULL) {
  fputs("Wrong parameter",stderr);
  optopt = argv[optind][1];
  return '?';
  }

if (s[1] != ':')
  return *s;

if (++optind >= argc) {
  fputs("Missing argument to parameter",stderr);
  return '?';
  }

optarg = argv[optind];
return *s;
}
