#include <errno.h>
#include <stdio.h>
#include <string.h>

#include "utime.c"

int main(int argc,char *argv[]) {
  int             f,r;
  time_t          t1;
  struct ftime    t2;
  struct tm       *t3;
  struct utimbuf  t4;

  if (argc<3)
    return 1; 

  if ((f=open(argv[1],O_RDONLY))<0)
    return 2;
  r=getftime(f,&t2);
  close(f);
  if (r!=0) {
    printf("getftime(%s)=%s\n",argv[1],strerror(errno));
    return 3;
    }
  printf("alt: %2d.%02d.%04d %2d:%02d:%02d\n",
         t2.ft_day, t2.ft_month,t2.ft_year+1980,
         t2.ft_hour,t2.ft_min,  t2.ft_tsec);

  if (sscanf(argv[2],"%ld",&t1)!=1)
    t1=0x12345678L;
  t3=localtime(&t1);
  printf("soll:%2d.%02d.%04d %2d:%02d:%02d\n",
         t3->tm_mday,t3->tm_mon+1,t3->tm_year+1900,
         t3->tm_hour,t3->tm_min,  t3->tm_sec);

  t4.modtime=t1;
  r=utime(argv[1],&t4);
  printf("utime(%s)=%s\n",argv[1],r==0?"OK":strerror(errno));

  if ((f=open(argv[1],O_RDONLY))<0)
    return 2;
  r=getftime(f,&t2);
  close(f);
  if (r!=0) {
    printf("getftime(%s)=%s\n",argv[1],strerror(errno));
    return 3;
    }
  printf("neu: %2d.%02d.%04d %2d:%02d:%02d\n",
         t2.ft_day, t2.ft_month,t2.ft_year+1980,
         t2.ft_hour,t2.ft_min,  t2.ft_tsec);

return 0;
}
